Wait Rules

A rule that sets how long to pause a lead in a schedule, based on its recent call outcomes.

GET /lead_wait_rules

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/lead_wait_rules

List Wait Rule records.

Lists Wait Rules, which pause a lead within a schedule for a configured number of seconds, optionally only when it matches prior call disposition or token filter criteria.

Params

Param name Description
ids
Optional

Return records matching these ids.

  • Must be an array of decimal values. EG: [0, 1, 2, 3]

page
Optional

Return the next page of results.

  • Must be a number.

per_page
Optional

How many results to return per page. The default is 25.

  • Must be a number.

created_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

created_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

fulltext
Optional

Search for any record that matches this text

  • Must be a String

time_zone
Optional

Date ranges will be parsed using this time zone.

columns
Optional
Specify the columns you would like returned by the API for a given resource. Limiting the columns can significantly increase API response time since only the requested data will be processed. columns=uuid,number,created_at

Must be any combination of:

  • id
  • legacy_id
  • type
  • uuid
  • created_at
  • updated_at
  • deleted_at
  • user_updated_at
  • routes_show_path
  • routes_edit_path
  • external_record_id
  • company_id
  • name
  • wait_seconds
  • description
  • filter_call_disposition_ids
  • filter_call_disposition_two_ids
  • record_token_filter_two_id
  • tier
  • record_token_filter_id
  • record_token_filter_data_count
  • record_token_filter_data
  • record_token_filter_two_data_count
  • record_token_filter_two_data
  • lead_wait_rule_group_ids
  • Must be a String

root
Optional

Pass root=false to return results without a root node and metadata.
For example:
GET /api/v1/calls?root=false will return [call1, call2, call3]
While:
GET /api/v1/calls will return {calls: [call1, call2, call3], metadata: {}}

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

GET /lead_wait_rules/new

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/lead_wait_rules/new

Build Wait Rule with defaults.

Builds a Wait Rule with default attributes without saving it.

Params

Param name Description
name
Optional Blank value allowed

Name

  • Must be a String

wait_seconds
Optional Blank value allowed

Wait Seconds

  • Must be a decimal number.

description
Optional Blank value allowed

Description

  • Must be a String

filter_call_disposition_ids
Optional Blank value allowed

Call Dispositions

filter_call_disposition_two_ids
Optional Blank value allowed

Call Dispositions Two Calls Ago

record_token_filter_id
Optional Blank value allowed

Record Token Filter

token_value_ids
Optional Blank value allowed

Token Value Ids

  • Must be a decimal number.

record_token_filter_two_id
Optional Blank value allowed

Record Token Filter Two

  • Must be a String

token_value_two_ids
Optional Blank value allowed

Token Value Two Ids

  • Must be a decimal number.

tier
Optional Blank value allowed

The order this rule is checked in relative to the company’s other Wait Rules. Lower tiers are checked first.

  • Must be a decimal number.

lead_wait_rule_group_ids
Optional Blank value allowed

Assign this rule to these Wait Rule Groups.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"
record_token_filter_two_list
Optional Blank value allowed

Assign the alternate (two) filter by passing an array of key:value pairs, in the same format as record_token_filter_list.

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"

POST /lead_wait_rules

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/lead_wait_rules

Create Wait Rule.

Creates a Wait Rule specifying wait_seconds and, optionally, the call dispositions or token filters that must match for the wait to apply.

Params

Param name Description
name
Optional Blank value allowed

Name

  • Must be a String

wait_seconds
Optional Blank value allowed

Wait Seconds

  • Must be a decimal number.

description
Optional Blank value allowed

Description

  • Must be a String

filter_call_disposition_ids
Optional Blank value allowed

Call Dispositions

filter_call_disposition_two_ids
Optional Blank value allowed

Call Dispositions Two Calls Ago

record_token_filter_id
Optional Blank value allowed

Record Token Filter

token_value_ids
Optional Blank value allowed

Token Value Ids

  • Must be a decimal number.

record_token_filter_two_id
Optional Blank value allowed

Record Token Filter Two

  • Must be a String

token_value_two_ids
Optional Blank value allowed

Token Value Two Ids

  • Must be a decimal number.

tier
Optional Blank value allowed

The order this rule is checked in relative to the company’s other Wait Rules. Lower tiers are checked first.

  • Must be a decimal number.

lead_wait_rule_group_ids
Optional Blank value allowed

Assign this rule to these Wait Rule Groups.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"
record_token_filter_two_list
Optional Blank value allowed

Assign the alternate (two) filter by passing an array of key:value pairs, in the same format as record_token_filter_list.

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"

GET /lead_wait_rules/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/lead_wait_rules/:id

Get Wait Rule by id.

Gets a Wait Rule's details by id.

PUT /lead_wait_rules/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/lead_wait_rules/:id

Update Wait Rule by id.

Updates a Wait Rule's wait duration, description, or matching criteria.

Params

Param name Description
name
Optional Blank value allowed

Name

  • Must be a String

wait_seconds
Optional Blank value allowed

Wait Seconds

  • Must be a decimal number.

description
Optional Blank value allowed

Description

  • Must be a String

filter_call_disposition_ids
Optional Blank value allowed

Call Dispositions

filter_call_disposition_two_ids
Optional Blank value allowed

Call Dispositions Two Calls Ago

record_token_filter_id
Optional Blank value allowed

Record Token Filter

token_value_ids
Optional Blank value allowed

Token Value Ids

  • Must be a decimal number.

record_token_filter_two_id
Optional Blank value allowed

Record Token Filter Two

  • Must be a String

token_value_two_ids
Optional Blank value allowed

Token Value Two Ids

  • Must be a decimal number.

tier
Optional Blank value allowed

The order this rule is checked in relative to the company’s other Wait Rules. Lower tiers are checked first.

  • Must be a decimal number.

lead_wait_rule_group_ids
Optional Blank value allowed

Assign this rule to these Wait Rule Groups.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"
record_token_filter_two_list
Optional Blank value allowed

Assign the alternate (two) filter by passing an array of key:value pairs, in the same format as record_token_filter_list.

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"

DELETE /lead_wait_rules/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/lead_wait_rules/:id

Destroy Wait Rule by id.

Deletes a Wait Rule by id.